# Uses of Interface
org.eclipse.ui.part.IPage

Packages that use IPage
Package
Description
org.eclipse.compare.internal
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.search.ui
Classes and interface required to contribute search dialog pages and search result view pages.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.texteditor.templates
Application programming interfaces for interaction with the Eclipse text editor template support.
org.eclipse.ui.views.contentoutline
Provides the standard Content Outline view which can show the active editor's custom outline for the document being edited.
org.eclipse.ui.views.properties
Provides the standard Property Sheet view which displays custom properties of the active workbench part's current selection.
org.eclipse.ui.views.properties.tabbed
Provides the Tabbed Properties framework.

## Uses of IPage in org.eclipse.compare.internal

Classes in org.eclipse.compare.internal that implement IPage
Modifier and Type
Class
Description
`class`
`CompareOutlinePage`

## Uses of IPage in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return IPage
Modifier and Type
Method
Description
`protected IPage`
AbstractDebugView.`createDefaultPage(PageBook book)`
The default page for a debug view is its viewer.

## Uses of IPage in org.eclipse.search.ui

Subinterfaces of IPage in org.eclipse.search.ui
Modifier and Type
Interface
Description
`interface`
`ISearchResultPage`
Interface to be implemented by contributors to the extension point `org.eclipse.search.searchResultViewPages`.

## Uses of IPage in org.eclipse.search.ui.text

Classes in org.eclipse.search.ui.text that implement IPage
Modifier and Type
Class
Description
`class`
`AbstractTextSearchViewPage`
An abstract base implementation for classes showing `AbstractTextSearchResult` instances.

## Uses of IPage in org.eclipse.team.ui

Methods in org.eclipse.team.ui that return IPage
Modifier and Type
Method
Description
`protected abstract IPage`
PageCompareEditorInput.`createPage(CompareViewerPane parent, IToolBarManager toolBarManager)`
Create the page for this part and return the top level control for the page.

## Uses of IPage in org.eclipse.team.ui.history

Classes in org.eclipse.team.ui.history that implement IPage
Modifier and Type
Class
Description
`class`
`HistoryPage`
Abstract HistoryPage class that keeps track of the history page site.
Methods in org.eclipse.team.ui.history that return IPage
Modifier and Type
Method
Description
`protected IPage`
HistoryPageCompareEditorInput.`createPage(CompareViewerPane parent, IToolBarManager toolBarManager)`

## Uses of IPage in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return IPage
Modifier and Type
Method
Description
`protected IPage`
ParticipantPageCompareEditorInput.`createPage(CompareViewerPane parent, IToolBarManager toolBarManager)`

## Uses of IPage in org.eclipse.ui.console

Classes in org.eclipse.ui.console that implement IPage
Modifier and Type
Class
Description
`class`
`TextConsolePage`
A page for a text console.

## Uses of IPage in org.eclipse.ui.part

Subinterfaces of IPage in org.eclipse.ui.part
Modifier and Type
Interface
Description
`interface`
`IPageBookViewPage`
Interface for a page in a pagebook view.
Classes in org.eclipse.ui.part that implement IPage
Modifier and Type
Class
Description
`class`
`MessagePage`
A message page display a message in a pagebook view.
`class`
`Page`
Abstract base superclass for pages in a pagebook view.
Fields in org.eclipse.ui.part declared as IPage
Modifier and Type
Field
Description
`IPage`
PageBookView.PageRec.`page`
The page.
Methods in org.eclipse.ui.part that return IPage
Modifier and Type
Method
Description
`protected abstract IPage`
PageBookView.`createDefaultPage(PageBook book)`
Creates and returns the default page for this view.
`IPage`
PageBookView.`getCurrentPage()`
Returns the currently visible page for this view or `null` if no page is currently visible.
`IPage`
PageBookView.`getDefaultPage()`
Returns the default page for this view.
Methods in org.eclipse.ui.part with parameters of type IPage
Modifier and Type
Method
Description
`protected boolean`
PageBookView.`doesPageExist(IPage page)`
Returns true if the page has already been created.
`protected PageBookView.PageRec`
PageBookView.`getPageRec(IPage page)`
Returns the page record for the given page of this view.
`protected PageSite`
PageBookView.`getPageSite(IPage page)`
Returns the view site for the given page of this view.
Constructors in org.eclipse.ui.part with parameters of type IPage
Modifier
Constructor
Description
``
`PageRec(IWorkbenchPart part, IPage page)`
Creates a new page record initialized to the given part and page.

## Uses of IPage in org.eclipse.ui.texteditor.templates

Subinterfaces of IPage in org.eclipse.ui.texteditor.templates
Modifier and Type
Interface
Description
`interface`
`ITemplatesPage`
Interface for a templates page.
Classes in org.eclipse.ui.texteditor.templates that implement IPage
Modifier and Type
Class
Description
`class`
`AbstractTemplatesPage`
Abstract default implementation for `ITemplatesPage`.
Methods in org.eclipse.ui.texteditor.templates that return IPage
Modifier and Type
Method
Description
`protected IPage`
TemplatesView.`createDefaultPage(PageBook book)`

## Uses of IPage in org.eclipse.ui.views.contentoutline

Subinterfaces of IPage in org.eclipse.ui.views.contentoutline
Modifier and Type
Interface
Description
`interface`
`IContentOutlinePage`
Marker-style interface for a content outline page.
Classes in org.eclipse.ui.views.contentoutline that implement IPage
Modifier and Type
Class
Description
`class`
`ContentOutlinePage`
An abstract base class for content outline pages.
Methods in org.eclipse.ui.views.contentoutline that return IPage
Modifier and Type
Method
Description
`protected IPage`
ContentOutline.`createDefaultPage(PageBook book)`

## Uses of IPage in org.eclipse.ui.views.properties

Subinterfaces of IPage in org.eclipse.ui.views.properties
Modifier and Type
Interface
Description
`interface`
`IPropertySheetPage`
Interface for a property sheet page that appears in a property sheet view.
Classes in org.eclipse.ui.views.properties that implement IPage
Modifier and Type
Class
Description
`class`
`PropertySheetPage`
The standard implementation of property sheet page which presents a table of property names and values obtained from the current selection in the active workbench part.
Methods in org.eclipse.ui.views.properties that return IPage
Modifier and Type
Method
Description
`protected IPage`
PropertySheet.`createDefaultPage(PageBook book)`
`protected IPage`
PropertySheet.`createPropertySheetPage(PageBook book)`
Creates and returns a default properties page for this view.

## Uses of IPage in org.eclipse.ui.views.properties.tabbed

Classes in org.eclipse.ui.views.properties.tabbed that implement IPage
Modifier and Type
Class
Description
`class`
`TabbedPropertySheetPage`
A property sheet page that provides a tabbed UI.